Subject: Use named indexes for placeholders in translation labels
Description

Right now you can replace placedholders in translations like this:

<f:translate key="myKey" arguments="{0:'foo', 1:'bar'}" />

The key would look like this:

This is my awesome {0}Key that displays some {1}Value 

The result would be:

This is my awesome fooKey that displays some barValue.

So far so good. Now it would be better to actually give that placeholders a name because that makes it much easier to understand the
translations.

Something like:

Template:
<f:translate key="myKey" arguments="{keyName:'foo', valueName:'bar'}" />

Translation:
This is my awesome {keyName}Key that displays some {valueName}Value 

Associated revisions
Revision 71318ee5 - 2012-10-25 13:39 - Thomas Hempel

[BUGFIX] Support named indexes in multivalue translation labels

Change-Id: I0fd49bfe92695d1672f0b284dc26ad66954be429
Resolves: #42169
Releases: 1.2

History
#1 - 2012-10-19 12:48 - Thomas Hempel
There is a review request available at

https://review.typo3.org/#/c/15809/

#2 - 2012-10-20 20:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15809

#3 - 2012-10-25 13:39 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15809

#4 - 2012-10-31 17:35 - Thomas Hempel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:71318ee5819bc78a04d2c632774ac0abb13b946f.
